Package com.sun.speech.freetts.lexicon

# Interface LetterToSound

All Known Implementing Classes:
  `LetterToSoundImpl`

public interface LetterToSound
Provides the phone list for words using letter-to-sound rules. The phone list is implementation dependent.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getPhones(String word, String partOfSpeech)`
Calculate the phone list for a given word.

## Method Details

### getPhones

String[] getPhones(String word, String partOfSpeech)
Calculate the phone list for a given word. If a phone list cannot be determined, `null` is returned. The phone list is implementation dependent. The format of the `partOfSpeech` is also implementation. If the `partOfSpeech` does not matter, pass in `null`.

Parameters:
  `word` - the word to get the phone list for
  `partOfSpeech` - the part of speech or `null`
Returns:
  the list of phones for word or `null`